Page MenuHomePhabricator

Create an alias for some namespace in Thai Wikibooks
Closed, ResolvedPublic

Description

Hello, Our community would like to create alias for some namespace in Thai Wikibooks.

  • "WB" → "วิกิตำรา" (NS_PROJECT)
  • "CAT" → "หมวดหมู่" (NS_CATEGORY)
  • "H" → "วิธีใช้" (NS_HELP)
  • "SUB" → "หัวเรื่อง" (102)
  • "Cookbook" → "ตำราอาหาร" (104)
  • "COOK" → "ตำราอาหาร" (104)
  • "Wikijunior" → "วิกิเยาวชน" (106)
  • "WJ" → "วิกิเยาวชน" (106)

Per consensus: https://th.wikibooks.org/wiki/วิกิตำรา:สภากาแฟ#ตั้งค่าการเปลี่ยนทางเนมสเปซและลิงก์ย่อเพิ่มเติม

Thank you.

Event Timeline

Geonuch created this task.Apr 27 2020, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2020, 12:08 PM

@Geonuch: If you want to make this configuration change yourself, please follow https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try!

Change 592645 had a related patch set uploaded (by Majavah; owner: Majavah):
[operations/mediawiki-config@master] Create a bunch of namespace aliases for thwikibooks

https://gerrit.wikimedia.org/r/592645

Majavah claimed this task.Apr 27 2020, 12:21 PM
Majavah added a subscriber: Majavah.

Thanks for the very detailed task. Scheduled for EU SWAT tomorrow.

Restricted Application added a project: User-Majavah. · View Herald TranscriptApr 27 2020, 12:21 PM
Majavah moved this task from ❔ Unsorted to 🏁 To deploy on the User-Majavah board.
Reedy renamed this task from Create a alias for some namespace in Thai Wikibooks to Create an alias for some namespace in Thai Wikibooks.Apr 27 2020, 1:25 PM
Geonuch added a comment.EditedApr 27 2020, 1:36 PM

@Aklapper: Thanks for recommend but I have "very low" programming skill. I may learn to it in next time.

@Majavah: Thanks for the very fasted assigner :)

Majavah triaged this task as Medium priority.Apr 28 2020, 5:42 AM

Change 592645 merged by jenkins-bot:
[operations/mediawiki-config@master] Create a bunch of namespace aliases for thwikibooks

https://gerrit.wikimedia.org/r/592645

Mentioned in SAL (#wikimedia-operations) [2020-04-28T11:54:32Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:592645|Create a bunch of namespace aliases for thwikibooks (T251118)]] (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-04-28T11:55:22Z] <Lucas_WMDE> lucaswerkmeister-wmde@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=thwikibooks --fix | tee T251118-fix

Majavah closed this task as Resolved.Apr 28 2020, 12:04 PM

This should be now deployed, feel free to re-open if it's not working as expected.